## ros-eloquent-rqt-msg 1.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rqt_msg)

# Load ament and all dependencies required for this package
find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)

ament_python_install_package(${PROJECT_NAME}
    PACKAGE_DIR src/${PROJECT_NAME})

install(FILES plugin.xml
  DESTINATION share/${PROJECT_NAME}
)

install(DIRECTORY resource
  DESTINATION share/${PROJECT_NAME}
)

install(PROGRAMS scripts/rqt_msg
  DESTINATION lib/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-eloquent-rqt-msg (1.0.2-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 03 Oct 2019 16:44:42 -0000

ros-eloquent-rqt-msg (1.0.1-1bionic) bionic; urgency=high

  * fix CMake (#3 <https://github.com/ros-visualization/rqt_msg/issues/3>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Dec 2018 06:00:00 -0000

ros-eloquent-rqt-msg (1.0.0-1bionic) bionic; urgency=high

  * ros2 port (#2 <https://github.com/ros-visualization/rqt_msg/issues/2>)
  * autopep8 (#1 <https://github.com/ros-visualization/rqt_msg/issues/1>)
  * Contributors: Mike Lautman

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Dec 2018 06:00:00 -0000

ros-eloquent-rqt-msg (0.4.8-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Apr 2017 05:00:00 -0000

ros-eloquent-rqt-msg (0.4.7-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Mar 2017 06:00:00 -0000

ros-eloquent-rqt-msg (0.4.6-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Feb 2017 06:00:00 -0000

ros-eloquent-rqt-msg (0.4.5-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Feb 2017 06:00:00 -0000

ros-eloquent-rqt-msg (0.4.4-1bionic) bionic; urgency=high

  * use Python 3 compatible syntax (#421 <https://github.com/ros-visualization/rqt_common_plugins/pull/421>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jan 2017 06:00:00 -0000

ros-eloquent-rqt-msg (0.4.3-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 02 Nov 2016 05:00:00 -0000

ros-eloquent-rqt-msg (0.4.2-1bionic) bionic; urgency=high

  * add remove action to context menu in message type browser (#400 <https://github.com/ros-visualization/rqt_common_plugins/pull/400>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 05:00:00 -0000

ros-eloquent-rqt-msg (0.4.1-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 May 2016 05:00:00 -0000

ros-eloquent-rqt-msg (0.4.0-1bionic) bionic; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 27 Apr 2016 05:00:00 -0000

ros-eloquent-rqt-msg (0.3.13-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 08 Mar 2016 06:00:00 -0000

ros-eloquent-rqt-msg (0.3.12-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Jul 2015 05:00:00 -0000

ros-eloquent-rqt-msg (0.3.11-1bionic) bionic; urgency=high

  * fix right click view (#317 <https://github.com/ros-visualization/rqt_common_plugins/issues/317>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 30 Apr 2015 05:00:00 -0000

ros-eloquent-rqt-msg (0.3.10-1bionic) bionic; urgency=high

  * update plugin scripts to use full name to avoid future naming collisions

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 01 Oct 2014 05:00:00 -0000

ros-eloquent-rqt-msg (0.3.9-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 05:00:00 -0000

ros-eloquent-rqt-msg (0.3.8-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 15 Jul 2014 05:00:00 -0000

ros-eloquent-rqt-msg (0.3.7-1bionic) bionic; urgency=high

  * export architecture_independent flag in package.xml (#254 <https://github.com/ros-visualization/rqt_common_plugins/issues/254>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Jul 2014 05:00:00 -0000

ros-eloquent-rqt-msg (0.3.6-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 02 Jun 2014 05:00:00 -0000

ros-eloquent-rqt-msg (0.3.5-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 05:00:00 -0000

ros-eloquent-rqt-msg (0.3.4-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 28 Jan 2014 06:00:00 -0000

ros-eloquent-rqt-msg (0.3.3-1bionic) bionic; urgency=high

  * add groups for rqt plugins, renamed some plugins (#167 <https://github.com/ros-visualization/rqt_common_plugins/issues/167>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jan 2014 06:00:00 -0000

ros-eloquent-rqt-msg (0.3.2-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 14 Oct 2013 05:00:00 -0000

ros-eloquent-rqt-msg (0.3.1-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 09 Oct 2013 05:00:00 -0000

ros-eloquent-rqt-msg (0.3.0-1bionic) bionic; urgency=high

  * fix rendering of icons on OS X (ros-visualization/rqt#83 <https://github.com/ros-visualization/rqt/issues/83>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 28 Aug 2013 05:00:00 -0000

ros-eloquent-rqt-msg (0.2.17-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 04 Jul 2013 05:00:00 -0000

ros-eloquent-rqt-msg (0.2.16-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 09 Apr 2013 18:33:00 -0000

ros-eloquent-rqt-msg (0.2.15-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 09 Apr 2013 05:02:00 -0000

ros-eloquent-rqt-msg (0.2.14-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 14 Mar 2013 05:00:00 -0000

ros-eloquent-rqt-msg (0.2.13-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 12 Mar 2013 03:14:00 -0000

ros-eloquent-rqt-msg (0.2.12-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 11 Mar 2013 18:56:00 -0000

ros-eloquent-rqt-msg (0.2.11-1bionic) bionic; urgency=high

  * Fix; IndexError: list index out of range (#26 <https://github.com/ros-visualization/rqt_common_plugins/issues/26>)


=== debian/control ===
Source: ros-eloquent-rqt-msg
Section: misc
Priority: extra
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake, ros-eloquent-ros-workspace
Homepage: http://wiki.ros.org/rqt_msg
Standards-Version: 3.9.2

Package: ros-eloquent-rqt-msg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-catkin-pkg-modules, ros-eloquent-python-qt-binding (>= 0.2.19), ros-eloquent-rclpy, ros-eloquent-rqt-console, ros-eloquent-rqt-gui, ros-eloquent-rqt-gui-py, ros-eloquent-rqt-py-common, ros-eloquent-ros-workspace
Description: A Python GUI plugin for introspecting available ROS message types.
 Note that the msgs available through this plugin is the ones that are stored on your machine, not on the ROS core your rqt instance connects to.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-rqt-msg//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
